/*
 * $HeadURL$
 * 
 * Copyright (c) 2010 MindTree Ltd. 
 * 
 * This file is part of Infix Maven Plugins
 * 
 * Infix Maven Plugins is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 * 
 * Infix Maven Plugins is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with 
 * Infix Maven Plugins. If not, see <http://www.gnu.org/licenses/>.
 */
package com.mindtree.techworks.infix.pluginscommon.test;

import java.io.File;

import org.apache.maven.execution.MavenSession;
import org.apache.maven.plugin.logging.Log;
import org.apache.maven.plugin.logging.SystemStreamLog;
import org.apache.maven.project.MavenProject;
import org.apache.maven.project.MavenProjectHelper;

import com.mindtree.techworks.infix.pluginscommon.mojo.MojoInfo;

/**
 * Default Mojo info impl for use with test cases 
 * 
 * @author Bindul Bhowmik
 * @version $Revision$ $Date$
 */
public class MojoInfoTCImpl implements MojoInfo {
	
	private Log log = new SystemStreamLog ();
	
	private File workDirectory;
	
	private MavenProject project = new MavenProject();

	/* (non-Javadoc)
	 * @see com.mindtree.techworks.infix.pluginscommon.mojo.MojoInfo#getLog()
	 */
	@Override
	public Log getLog () {
		return log;
	}

	/* (non-Javadoc)
	 * @see com.mindtree.techworks.infix.pluginscommon.mojo.MojoInfo#getProject()
	 */
	@Override
	public MavenProject getProject () {
		return project;
	}

	/* (non-Javadoc)
	 * @see com.mindtree.techworks.infix.pluginscommon.mojo.MojoInfo#getWorkDirectory()
	 */
	@Override
	public File getWorkDirectory () {
		return workDirectory;
	}

	/* (non-Javadoc)
	 * @see com.mindtree.techworks.infix.pluginscommon.mojo.MojoInfo#getSession()
	 */
	@Override
	public MavenSession getSession () {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see com.mindtree.techworks.infix.pluginscommon.mojo.MojoInfo#getProjectHelper()
	 */
	@Override
	public MavenProjectHelper getProjectHelper () {
		// TODO Auto-generated method stub
		return null;
	}

	
	public void setLog (Log log) {
		this.log = log;
	}

	
	public void setWorkDirectory (File workDirectory) {
		this.workDirectory = workDirectory;
	}

}
